#!/bin/sh 

echo "This script should be replaced by a top level configure!!"

if [ ! -f gs3-setup.sh ]; then
    echo "You must run this script from within the Greenstone home directory"
    exit 1
fi

#check that GSDL3HOME is set
if test -z "$GSDL3HOME" ; then
  source gs3-setup.sh
fi

echo ""
echo "configuring mgpp"
echo ""
cd packages/mgpp
./configure --prefix $GSDL3HOME
echo ""
echo "configuring mg"
echo ""
cd ../mg
./configure --prefix $GSDL3HOME
cd $GSDL3HOME

# now do building stuff
autoconf
./configure --prefix $GSDL3HOME


